Get Order Details

Retrieves detailed information for a specific B2B order. This endpoint's response provides more granular information than the [Get All Orders](#get-all-orders) endpoint. If the queried order originated with a quote, the negotiated discount will either be represented as an order discount or reflected in the product prices, depending on the type of discount that was applied. The `price_tax` field in the `products` array contains the amount of tax based on the item's non-discounted price, while `total_tax` contains the final tax amount after factoring in any discounts. Equivalent Storefront GraphQL API Query: `order`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).

Authentication

AuthorizationBearer
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`Bearer {{B2B_JWT_TOKEN}}`| You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section[...]

Path parameters

orderIdintegerRequired

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

Response

OK
dataobject
codeintegerDefaults to 200
HTTP Response Code
messagestringDefaults to SUCCESS

Errors

404
Not Found Error